﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = TreeData.GenerateTreeData();
        }
    }

    public class TreeData
    {
        private int id;

        public int ID
        {
            get { return id; }
            set { id = value;  }
        }

        private string name;

        public string Name
        {
            get { return name; }
            set { name = value;  }
        }

        private ObservableCollection<TreeData> children;

        public ObservableCollection<TreeData> Children
        {
            get { return children; }
            set { children = value;  }
        }

        public static ObservableCollection<TreeData> GenerateTreeData()
        {
            ObservableCollection<TreeData> data = new ObservableCollection<TreeData>();

            for (int i = 0; i < 10; i++)
            {
                TreeData n = new TreeData
                {
                    ID = i,
                    Name = "Item " + i,
                    Children = new ObservableCollection<TreeData>()
                };

                for (int j = 0; j < 5; j++)
                {
                    TreeData n1 = new TreeData
                    {
                        ID = i + j,
                        Name = "Item " + i + " " + j,
                        Children = new ObservableCollection<TreeData>()
                    };

                    n.Children.Add(n1);
                }

                data.Add(n);
            }

            return data;
        }

    }
}
